﻿using System.Windows;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.Wpf;

namespace _8942
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Map1_Loaded(object sender, RoutedEventArgs e)
        {
            Map1.MapUnit = GeographyUnit.Meter;

            var jpg2000File = @"C:\Jpg2000\Cook_30_2014.jp2";

            var jpg2000Layer = new Jpeg2000RasterLayer(jpg2000File);
            jpg2000Layer.Open();
            var boundingBox = jpg2000Layer.GetBoundingBox();
            jpg2000Layer.Close();

            var layerOverlay = new LayerOverlay();
            layerOverlay.Layers.Add(jpg2000Layer);

            Map1.CurrentExtent = boundingBox;
            Map1.Overlays.Add(layerOverlay);

            Map1.Refresh();
        }
    }
}
